##load data---------------------------------------------------------------------------
treexant <- read.csv("treexants.csv", header=T)
treexant$`ANON.002`<- treexant$`ANON.002`+ treexant$`ANON.004`#update, these species are the same
nestxant <- read.csv("nestxants.csv", header=T)
### Summary stats for table 1 ####
library(rich)
##
comm.all <- treexant[,2:170]
com.numba <- treexant[1:262,2:170]
com.wanang <- treexant[263:734,2:170]
com.yawan <- treexant[735:1254,2:170]
com.wpA <- treexant[which(treexant$Subplot=="WP_SUBPLOT_A"),2:170]
com.wpB <- treexant[which(treexant$Subplot=="WP_SUBPLOT_B"),2:170]
com.ypA <- treexant[which(treexant$Subplot=="YP_SUBPLOT_A"),2:170]
com.ypC <- treexant[which(treexant$Subplot=="YP_SUBPLOT_C"),2:170]

all.rich <- rich(matrix=comm.all, verbose = T)
wpa.rich <- rich(matrix= com.wpA, verbose=T)
wpb.rich <- rich(matrix= com.wpB, verbose=T)
numba.rich <- rich(matrix= com.numba, verbose=T)
ypa.rich <- rich(matrix= com.ypA, verbose=T)
ypc.rich <- rich(matrix= com.ypC, verbose=T)

#N Trees >5cm DBH
c(length(wpa.rich$sumrow),
  length(wpb.rich$sumrow),
  length(numba.rich$sumrow),
  length(ypa.rich$sumrow),
  length(ypc.rich$sumrow))
#proportion empty trees
c(
(length(which(wpa.rich$sumrow<1)))/(length(wpa.rich$sumrow)),
(length(which(wpb.rich$sumrow<1)))/(length(wpb.rich$sumrow)),
(length(which(numba.rich$sumrow<1)))/(length(numba.rich$sumrow)),
(length(which(ypa.rich$sumrow<1)))/(length(ypa.rich$sumrow)),
(length(which(ypc.rich$sumrow<1)))/(length(ypc.rich$sumrow)))
#sp rich
c(wpa.rich$cr,wpb.rich$cr,numba.rich$cr,ypa.rich$cr,ypc.rich$cr)
#mean tree sp rich
c(wpa.rich$mr,wpb.rich$mr,numba.rich$mr,ypa.rich$mr,ypc.rich$mr)
# tree sp rich SD
c(wpa.rich$mrsd,wpb.rich$mrsd,numba.rich$mrsd,ypa.rich$mrsd,ypc.rich$mrsd)
#singletons
c(wpa.rich$singletons,wpb.rich$singletons,numba.rich$singletons,ypa.rich$singletons,ypc.rich$singletons)
#doubletons
c(wpa.rich$doubletons,wpb.rich$doubletons,numba.rich$doubletons,ypa.rich$doubletons,ypc.rich$doubletons)
#max richness per tree
c(max(wpa.rich$richvec),max(wpb.rich$richvec),max(numba.rich$richvec),max(ypa.rich$richvec),max(ypc.rich$richvec))


###
summary(nestxant$TrunkCrown[which(nestxant$Subplot=="WP_SUBPLOT_A")])
summary(nestxant$TrunkCrown[which(nestxant$Subplot=="WP_SUBPLOT_B")])
summary(nestxant$TrunkCrown[which(nestxant$Subplot=="NP_SUBPLOT_A")])
summary(nestxant$TrunkCrown[which(nestxant$Subplot=="YP_SUBPLOT_A")])
summary(nestxant$TrunkCrown[which(nestxant$Subplot=="YP_SUBPLOT_C")])


# ####rank-abundance
# library(vegan)
# library(BiodiversityR)
# 
# RankAbun.1 <- rankabundance(wacom)
# RankAbun.2 <- rankabundance(wbcom)
# RankAbun.3 <- rankabundance(nacom)
# RankAbun.4 <- rankabundance(yacom)
# RankAbun.5 <- rankabundance(yccom)
# 
# par(mfrow=c(2,3))
# rankabunplot(RankAbun.1,scale='abundance', addit=FALSE, specnames=c(1,2,3,4), main="WA")
# rankabunplot(RankAbun.3,scale='abundance', addit=FALSE, specnames=c(1,2,3,4), main="NA")
# rankabunplot(RankAbun.4,scale='abundance', addit=FALSE, specnames=c(1,2,3,4), main="YA")
# rankabunplot(RankAbun.2,scale='abundance', addit=FALSE, specnames=c(1,2,3,4), main="WB")
# frame()
# rankabunplot(RankAbun.5,scale='abundance', addit=FALSE, specnames=c(1,2,3,4), main="YC")
# 



