# FUNCTIONS #
#---------------------------------------------#
# function removes empty trees and singletons #
#---------------------------------------------#
get.out0 <- function(data.source)
{
  df<-as.matrix(data.source)
  df[df>1]<-1
  res.df<-df
  data.ready<-FALSE
  repeat
  {
    #print(is.null(res.df))
    #print(dim(res.df))
    #print("RUN")
    #print(rowSums(res.df))
    #print(colSums(res.df))
    if (dim(res.df)[1]<1 | dim(res.df)[1]<1) {
      data.ready<-TRUE
      print ("NOT SUCCESFULL")
    }
    if (all(colSums(res.df)>1) && all(rowSums(res.df)>0)){
      data.ready<-TRUE
      print ("DONE")
    }
    if (data.ready==TRUE) {break}
    res.df<-res.df[rowSums(res.df)>0,]
    res.df<-res.df[,colSums(res.df)>1]
  }
  return(res.df)
}

#-------------------------------------------------------------#
# function removes trees with only 1 species and singletons   #
#-------------------------------------------------------------#
make.small<- function(data.source)
{
  df<-as.matrix(data.source)
  df[df>1]<-1
  res.df<-df
  data.ready<-FALSE
  repeat
  {
    #print(is.null(res.df))
    #print(dim(res.df))
    #print("RUN")
    #print(rowSums(res.df))
    #print(colSums(res.df))
    if (dim(res.df)[1]<1 | dim(res.df)[1]<1) {
      data.ready<-TRUE 
      print ("NOT SUCCESFULL")
    }
    if (all(colSums(res.df)>1) && all(rowSums(res.df)>1)){
      data.ready<-TRUE
      print ("DONE")
    }
    if (data.ready==TRUE) {break}
    res.df<-res.df[rowSums(res.df)>1,]
    res.df<-res.df[,colSums(res.df)>1]
  }
  return(res.df)
}

#----------------------------------------------#
# function tests significance of C-scores      #
#----------------------------------------------#
signif.test<-function(data.source)
{
  if (SES.count(data.source)>0)
  {
    res.sig<-quantile(data.source$Sim, c(.975))  <= data.source$Obs
    
  }
  else
  {
    res.sig<-quantile(data.source$Sim, c(.025))  >= data.source$Obs
  }
  return(res.sig)
}

#----------------------------------------------#
# function computes SES                        #
#----------------------------------------------#
SES.count<-function (data.source)
{
  observed.dataset<-data.source$Obs
  random.dataset<-data.source$Sim
  x<-(observed.dataset-mean(random.dataset))/sd(random.dataset)
  return(x)
}

#----------------------------------------------#
# function computes number of species          #
#----------------------------------------------#

Species.count<-function(datasource)
{
  x<-ncol(datasource[,colSums(datasource)>0])
  return (x)
}

#----------------------------------------------#
# multiplot function from R cookbook           #
#----------------------------------------------#
multiplot <- function(..., plotlist=NULL, file, cols=1, layout=NULL) {
  library(grid)
  
  # Make a list from the ... arguments and plotlist
  plots <- c(list(...), plotlist)
  
  numPlots = length(plots)
  
  # If layout is NULL, then use 'cols' to determine layout
  if (is.null(layout)) {
    # Make the panel
    # ncol: Number of columns of plots
    # nrow: Number of rows needed, calculated from # of cols
    layout <- matrix(seq(1, cols * ceiling(numPlots/cols)),
                     ncol = cols, nrow = ceiling(numPlots/cols))
  }
  
  if (numPlots==1) {
    print(plots[[1]])
    
  } else {
    # Set up the page
    grid.newpage()
    pushViewport(viewport(layout = grid.layout(nrow(layout), ncol(layout))))
    
    # Make each plot, in the correct location
    for (i in 1:numPlots) {
      # Get the i,j matrix positions of the regions that contain this subplot
      matchidx <- as.data.frame(which(layout == i, arr.ind = TRUE))
      
      print(plots[[i]], vp = viewport(layout.pos.row = matchidx$row,
                                      layout.pos.col = matchidx$col))
    }
  }
}
