
##########################################################################################
# ---------------------          co-occurrence model, sim9     -------------------#
##########################################################################################
#exclude singleton ant species
#exclude trees with 1 species

#Load data
setwd("C://Users//nicho//Research Projects//Current projects//PNG Felling Projects")
treexant <- read.csv("treexants.csv", header=T)
datafull<-treexant

datafull$`ANON.002`<-datafull$`ANON.002`+datafull$`ANON.004`#update, these species are synonym
datafull<-datafull[,c(1:8,10:186)]
datafill1 <-subset(datafull, datafull$N.nest >0)#remove empty trees

#Libraries
library(EcoSimR)
library(ggplot2)

#### Subset data by Elevation, Subplot, and Tree Size
# sing <- names(datafull[,which(colSums(datafull [,2:169])<2)]) # singleton species
# sing <- sing[2:41]
# datafull.0 <- datafull[,!(names(datafull) %in% sing)] #singletons removed
# datafill1 <-subset(datafull.0, datafull.0$`N.nest`>1)#exclude trees with 1 species or less

#Wanang
dataW <- subset(datafill1, Forest=="Primary_W")
dataW <- dataW[order(dataW$DBH),]
#Numba
dataN <- subset(datafill1, Forest=="Primary_N")
dataN <- dataN[order(dataN$DBH),]
#Yawan
dataY <- subset(datafill1, Forest=="Primary_Y")
dataY <- dataY[order(dataY$DBH),]

#Subset tree size categories all, small, medium, large
dataWS <-subset(dataW,DBH<9)
dataWM <-subset(dataW, DBH>8 & DBH<14)
dataWL <-subset(dataW, DBH>13)

dataWA  <-subset(datafill1,Subplot=="WP_SUBPLOT_A")
dataWAS <-subset(dataWS,Subplot=="WP_SUBPLOT_A")
dataWAM <-subset(dataWM,Subplot=="WP_SUBPLOT_A")
dataWAL <-subset(dataWL,Subplot=="WP_SUBPLOT_A")
dataWB  <-subset(datafill1,Subplot=="WP_SUBPLOT_B")
dataWBS <-subset(dataWS,Subplot=="WP_SUBPLOT_B")
dataWBM <-subset(dataWM,Subplot=="WP_SUBPLOT_B")
dataWBL <-subset(dataWL,Subplot=="WP_SUBPLOT_B")

dataNS <-subset(dataN,DBH<8.1)
dataNM <-subset(dataN, DBH>8 & DBH<15)
dataNL <-subset(dataN, DBH>14)
dataNA <-subset(datafill1,Subplot=="NP_SUBPLOT_A")
dataNAS <-subset(dataNS,Subplot=="NP_SUBPLOT_A")
dataNAM <-subset(dataNM,Subplot=="NP_SUBPLOT_A")
dataNAL <-subset(dataNL,Subplot=="NP_SUBPLOT_A")

dataYS <-subset(dataY,DBH<12)
dataYM <-subset(dataY, DBH>11 & DBH<20)
dataYL <-subset(dataY, DBH>19)
dataYA <-subset(datafill1,Subplot=="YP_SUBPLOT_A")
dataYAS <-subset(dataYS,Subplot=="YP_SUBPLOT_A")
dataYAM <-subset(dataYM,Subplot=="YP_SUBPLOT_A")
dataYAL <-subset(dataYL,Subplot=="YP_SUBPLOT_A")
dataYC <-subset(datafill1,Subplot=="YP_SUBPLOT_C")
dataYCS <-subset(dataYS,Subplot=="YP_SUBPLOT_C")
dataYCM <-subset(dataYM,Subplot=="YP_SUBPLOT_C")
dataYCL <-subset(dataYL,Subplot=="YP_SUBPLOT_C")

# #still to remove singletons from each subset
# sing <- names(dataWA[,which(colSums(dataWA [,2:169])<2)]) # singleton species
# sing <- sing[2:length(sing)]
# 
# datafull.0 <- datafull[,!(names(datafull) %in% sing)] #singletons removed


dataWA.c<-dataWA[,2:169]
dataWAS.c<-dataWAS[,2:169]
dataWAM.c<-dataWAM[,2:169]
dataWAL.c<-dataWAL[,2:169]
dataWB.c<-dataWB[,2:169]
dataWBS.c<-dataWBS[,2:169]
dataWBM.c<-dataWBM[,2:169]
dataWBL.c<-dataWBL[,2:169]

dataNA.c<-dataNA[,2:169]
dataNAS.c<-dataNAS[,2:169]
dataNAM.c<-dataNAM[,2:169]
dataNAL.c<-dataNAL[,2:169]

dataYA.c<-dataYA[,2:169]
dataYAS.c<-dataYAS[,2:169]
dataYAM.c<-dataYAM[,2:169]
dataYAL.c<-dataYAL[,2:169]
dataYC.c<-dataYC[,2:169]
dataYCS.c<-dataYCS[,2:169]
dataYCM.c<-dataYCM[,2:169]
dataYCL.c<-dataYCL[,2:169]

# Function to remove singleton species and trees with only 1 species
dataWA.e <-make.small(dataWA.c)
dataWAS.e <-make.small(dataWAS.c)
dataWAM.e <-make.small(dataWAM.c)
dataWAL.e <-make.small(dataWAL.c)
dataWB.e <-make.small(dataWB.c)
dataWBS.e <-make.small(dataWBS.c)
dataWBM.e <-make.small(dataWBM.c)
dataWBL.e <-make.small(dataWBL.c)

dataNA.e <-make.small(dataNA.c)
dataNAS.e <-make.small(dataNAS.c)
dataNAM.e <-make.small(dataNAM.c)
dataNAL.e <-make.small(dataNAL.c)

dataYA.e <-make.small(dataYA.c)
dataYAS.e <-make.small(dataYAS.c)
dataYAM.e <-make.small(dataYAM.c)
dataYAL.e <-make.small(dataYAL.c)
dataYC.e <-make.small(dataYC.c)
dataYCS.e <-make.small(dataYCS.c)
dataYCM.e <-make.small(dataYCM.c)
dataYCL.e <-make.small(dataYCL.c)

      ##### Co-occurence models #####
# --------------- WA All trees ---------------
dataWA.e.flip<-t(dataWA.e)
dataWA.e.flip<-as.data.frame(dataWA.e.flip)
dataWA.e.flip.res<-cooc_null_model(dataWA.e.flip, 
                                   algo = "sim9", metric = "c_score",
                                   nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WA Small trees-----------------
dataWAS.e.flip<-t(dataWAS.e)
dataWAS.e.flip<-as.data.frame(dataWAS.e.flip)
dataWAS.e.flip.res<-cooc_null_model(dataWAS.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WAM
dataWAM.e.flip<-t(dataWAM.e)
dataWAM.e.flip<-as.data.frame(dataWAM.e.flip)
dataWAM.e.flip.res<-cooc_null_model(dataWAM.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WAL
dataWAL.e.flip<-t(dataWAL.e)
dataWAL.e.flip<-as.data.frame(dataWAL.e.flip)
dataWAL.e.flip.res<-cooc_null_model(dataWAL.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

# --------------- WB ---------------
dataWB.e.flip<-t(dataWB.e)
dataWB.e.flip<-as.data.frame(dataWB.e.flip)
dataWB.e.flip.res<-cooc_null_model(dataWB.e.flip, 
                                   algo = "sim9", metric = "c_score",
                                   nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WBS
dataWBS.e.flip<-t(dataWBS.e)
dataWBS.e.flip<-as.data.frame(dataWBS.e.flip)
dataWBS.e.flip.res<-cooc_null_model(dataWBS.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WBM
dataWBM.e.flip<-t(dataWBM.e)
dataWBM.e.flip<-as.data.frame(dataWBM.e.flip)
dataWBM.e.flip.res<-cooc_null_model(dataWBM.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- WBL
dataWBL.e.flip<-t(dataWBL.e)
dataWBL.e.flip<-as.data.frame(dataWBL.e.flip)
dataWBL.e.flip.res<-cooc_null_model(dataWBL.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#----------------NA 
dataNA.e.flip<-t(dataNA.e)
dataNA.e.flip<-as.data.frame(dataNA.e.flip)
dataNA.e.flip.res<-cooc_null_model(dataNA.e.flip, 
                                   algo = "sim9", metric = "c_score",
                                   nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- NAS
dataNAS.e.flip<-t(dataNAS.e)
dataNAS.e.flip<-as.data.frame(dataNAS.e.flip)
dataNAS.e.flip.res<-cooc_null_model(dataNAS.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- NAM
dataNAM.e.flip<-t(dataNAM.e)
dataNAM.e.flip<-as.data.frame(dataNAM.e.flip)
dataNAM.e.flip.res<-cooc_null_model(dataNAM.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- NAL
dataNAL.e.flip<-t(dataNAL.e)
dataNAL.e.flip<-as.data.frame(dataNAL.e.flip)
dataNAL.e.flip.res<-cooc_null_model(dataNAL.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

# --------------- YA ---------------
dataYA.e.flip<-t(dataYA.e)
dataYA.e.flip<-as.data.frame(dataYA.e.flip)
dataYA.e.flip.res<-cooc_null_model(dataYA.e.flip, 
                                   algo = "sim9", metric = "c_score",
                                   nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- YAS
dataYAS.e.flip<-t(dataYAS.e)
dataYAS.e.flip<-as.data.frame(dataYAS.e.flip)
dataYAS.e.flip.res<-cooc_null_model(dataYAS.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- YAM
dataYAM.e.flip<-t(dataYAM.e)
dataYAM.e.flip<-as.data.frame(dataYAM.e.flip)
dataYAM.e.flip.res<-cooc_null_model(dataYAM.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- YAL
dataYAL.e.flip<-t(dataYAL.e)
dataYAL.e.flip<-as.data.frame(dataYAL.e.flip)
dataYAL.e.flip.res<-cooc_null_model(dataYAL.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

# --------------- YC ---------------
dataYC.e.flip<-t(dataYC.e)
dataYC.e.flip<-as.data.frame(dataYC.e.flip)
dataYC.e.flip.res<-cooc_null_model(dataYC.e.flip, 
                                   algo = "sim9", metric = "c_score",
                                   nReps = 50000, saveSeed = FALSE, burn_in = 50000)

#--------------- YCS
dataYCS.e.flip<-t(dataYCS.e)
dataYCS.e.flip<-as.data.frame(dataYCS.e.flip)
dataYCS.e.flip.res<-cooc_null_model(dataYCS.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- YCM
dataYCM.e.flip<-t(dataYCM.e)
dataYCM.e.flip<-as.data.frame(dataYCM.e.flip)
dataYCM.e.flip.res<-cooc_null_model(dataYCM.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- YCL
dataYCL.e.flip<-t(dataYCL.e)
dataYCL.e.flip<-as.data.frame(dataYCL.e.flip)
dataYCL.e.flip.res<-cooc_null_model(dataYCL.e.flip, 
                                    algo = "sim9", metric = "c_score",
                                    nReps = 50000, saveSeed = FALSE, burn_in = 50000)

