library(ggbeeswarm)
library(ggplot2)

# Species count in each subset - #sim9 model
sp.count<- c(
Species.count(dataWAS.e),
Species.count(dataWAM.e),
Species.count(dataWAL.e),
Species.count(dataWBS.e),
Species.count(dataWBM.e),
Species.count(dataWBL.e),
Species.count(dataNAS.e),
Species.count(dataNAM.e),
Species.count(dataNAL.e),
Species.count(dataYAS.e),
Species.count(dataYAM.e),
Species.count(dataYAL.e),
Species.count(dataYCS.e),
Species.count(dataYCM.e),
Species.count(dataYCL.e),
Species.count(dataWA.e),
Species.count(dataWB.e),
Species.count(dataNA.e),
Species.count(dataYA.e),
Species.count(dataYC.e))

# Species count in each subset - #sim2 model
sp.count2<- c(
  Species.count(dataWAS.d),
  Species.count(dataWAM.d),
  Species.count(dataWAL.d),
  Species.count(dataWBS.d),
  Species.count(dataWBM.d),
  Species.count(dataWBL.d),
  Species.count(dataNAS.d),
  Species.count(dataNAM.d),
  Species.count(dataNAL.d),
  Species.count(dataYAS.d),
  Species.count(dataYAM.d),
  Species.count(dataYAL.d),
  Species.count(dataYCS.d),
  Species.count(dataYCM.d),
  Species.count(dataYCL.d),
  Species.count(dataWA.d),
  Species.count(dataWB.d),
  Species.count(dataNA.d),
  Species.count(dataYA.d),
  Species.count(dataYC.d))

#tree count in each subset #sim9
N.trees<-c(
  nrow(dataWAS.e),
  nrow(dataWAM.e),
  nrow(dataWAL.e),
  nrow(dataWBS.e),
  nrow(dataWBM.e),
  nrow(dataWBL.e),
  nrow(dataNAS.e),
  nrow(dataNAM.e),
  nrow(dataNAL.e),
  nrow(dataYAS.e),
  nrow(dataYAM.e),
  nrow(dataYAL.e),
  nrow(dataYCS.e),
  nrow(dataYCM.e),
  nrow(dataYCL.e),
  nrow(dataWA.e),
  nrow(dataWB.e),
  nrow(dataNA.e),
  nrow(dataYA.e),
  nrow(dataYC.e))

#tree count in each subset #sim2
N.trees2<-c(
  nrow(dataWAS.d),
  nrow(dataWAM.d),
  nrow(dataWAL.d),
  nrow(dataWBS.d),
  nrow(dataWBM.d),
  nrow(dataWBL.d),
  nrow(dataNAS.d),
  nrow(dataNAM.d),
  nrow(dataNAL.d),
  nrow(dataYAS.d),
  nrow(dataYAM.d),
  nrow(dataYAL.d),
  nrow(dataYCS.d),
  nrow(dataYCM.d),
  nrow(dataYCL.d),
  nrow(dataWA.d),
  nrow(dataWB.d),
  nrow(dataNA.d),
  nrow(dataYA.d),
  nrow(dataYC.d))

#SES in each subset #sim9
SES<-c(
  SES.count(dataWAS.e.flip.res),
  SES.count(dataWAM.e.flip.res),
  SES.count(dataWAL.e.flip.res),
  SES.count(dataWBS.e.flip.res),
  SES.count(dataWBM.e.flip.res),
  SES.count(dataWBL.e.flip.res),
  SES.count(dataNAS.e.flip.res),
  SES.count(dataNAM.e.flip.res),
  SES.count(dataNAL.e.flip.res),
  SES.count(dataYAS.e.flip.res),
  SES.count(dataYAM.e.flip.res),
  SES.count(dataYAL.e.flip.res),
  SES.count(dataYCS.e.flip.res),
  SES.count(dataYCM.e.flip.res),
  SES.count(dataYCL.e.flip.res),
  SES.count(dataWA.e.flip.res),
  SES.count(dataWB.e.flip.res),
  SES.count(dataNA.e.flip.res),
  SES.count(dataYA.e.flip.res),
  SES.count(dataYC.e.flip.res))

#SES in each subset #sim2
SES2<-c(
  SES.count(dataWAS.d.flip.res2),
  SES.count(dataWAM.d.flip.res2),
  SES.count(dataWAL.d.flip.res2),
  SES.count(dataWBS.d.flip.res2),
  SES.count(dataWBM.d.flip.res2),
  SES.count(dataWBL.d.flip.res2),
  SES.count(dataNAS.d.flip.res2),
  SES.count(dataNAM.d.flip.res2),
  SES.count(dataNAL.d.flip.res2),
  SES.count(dataYAS.d.flip.res2),
  SES.count(dataYAM.d.flip.res2),
  SES.count(dataYAL.d.flip.res2),
  SES.count(dataYCS.d.flip.res2),
  SES.count(dataYCM.d.flip.res2),
  SES.count(dataYCL.d.flip.res2),
  NA,
  NA,
  NA,
  NA,
  NA)

Sig1 <-c(
  signif.test(dataWAS.e.flip.res),
  signif.test(dataWAM.e.flip.res),
  signif.test(dataWAL.e.flip.res),
  signif.test(dataWBS.e.flip.res),
  signif.test(dataWBM.e.flip.res),
  signif.test(dataWBL.e.flip.res),#true
  signif.test(dataNAS.e.flip.res),
  signif.test(dataNAM.e.flip.res),
  signif.test(dataNAL.e.flip.res),
  FALSE,#signif.test(dataYAS.e.flip.res),
  signif.test(dataYAM.e.flip.res),
  signif.test(dataYAL.e.flip.res),
  FALSE,#signif.test(dataYCS.e.flip.res),
  signif.test(dataYCM.e.flip.res),
  signif.test(dataYCL.e.flip.res),
  signif.test(dataWA.e.flip.res),
  signif.test(dataWB.e.flip.res),
  signif.test(dataNA.e.flip.res),#true
  signif.test(dataYA.e.flip.res),
  signif.test(dataYC.e.flip.res))


Sig2 <-c(
  signif.test(dataWAS.d.flip.res2),
  signif.test(dataWAM.d.flip.res2),
  signif.test(dataWAL.d.flip.res2),
  signif.test(dataWBS.d.flip.res2),
  signif.test(dataWBM.d.flip.res2),
  signif.test(dataWBL.d.flip.res2),
  signif.test(dataNAS.d.flip.res2),
  signif.test(dataNAM.d.flip.res2),
  signif.test(dataNAL.d.flip.res2),
  signif.test(dataYAS.d.flip.res2),
  signif.test(dataYAM.d.flip.res2),
  signif.test(dataYAL.d.flip.res2),
  signif.test(dataYCS.d.flip.res2),
  signif.test(dataYCM.d.flip.res2),
  signif.test(dataYCL.d.flip.res2),
  NA,
  NA,
  NA,
  NA,
  NA)

OBS<-c(
   (dataWAS.e.flip.res$Obs),
   (dataWAM.e.flip.res$Obs),
   (dataWAL.e.flip.res$Obs),
   (dataWBS.e.flip.res$Obs),
   (dataWBM.e.flip.res$Obs),
   (dataWBL.e.flip.res$Obs),
   (dataNAS.e.flip.res$Obs),
   (dataNAM.e.flip.res$Obs),
   (dataNAL.e.flip.res$Obs),
   (dataYAS.e.flip.res$Obs),
   (dataYAM.e.flip.res$Obs),
   (dataYAL.e.flip.res$Obs),
   (dataYCS.e.flip.res$Obs),
   (dataYCM.e.flip.res$Obs),
   (dataYCL.e.flip.res$Obs),
   (dataWA.e.flip.res$Obs),
   (dataWB.e.flip.res$Obs),
   (dataNA.e.flip.res$Obs),
   (dataYA.e.flip.res$Obs),
   (dataYC.e.flip.res$Obs))

OBS2 <-c(
   (dataWAS.d.flip.res2$Obs),
   (dataWAM.d.flip.res2$Obs),
   (dataWAL.d.flip.res2$Obs),
   (dataWBS.d.flip.res2$Obs),
   (dataWBM.d.flip.res2$Obs),
   (dataWBL.d.flip.res2$Obs),
   (dataNAS.d.flip.res2$Obs),
   (dataNAM.d.flip.res2$Obs),
   (dataNAL.d.flip.res2$Obs),
   (dataYAS.d.flip.res2$Obs),
   (dataYAM.d.flip.res2$Obs),
   (dataYAL.d.flip.res2$Obs),
   (dataYCS.d.flip.res2$Obs),
   (dataYCM.d.flip.res2$Obs),
   (dataYCL.d.flip.res2$Obs),
  NA,
  NA,
  NA,
  NA,
  NA)

SIM<-c(
  mean(dataWAS.e.flip.res$Sim),
  mean(dataWAM.e.flip.res$Sim),
  mean(dataWAL.e.flip.res$Sim),
  mean(dataWBS.e.flip.res$Sim),
  mean(dataWBM.e.flip.res$Sim),
  mean(dataWBL.e.flip.res$Sim),
  mean(dataNAS.e.flip.res$Sim),
  mean(dataNAM.e.flip.res$Sim),
  mean(dataNAL.e.flip.res$Sim),
  mean(dataYAS.e.flip.res$Sim),
  mean(dataYAM.e.flip.res$Sim),
  mean(dataYAL.e.flip.res$Sim),
  mean(dataYCS.e.flip.res$Sim),
  mean(dataYCM.e.flip.res$Sim),
  mean(dataYCL.e.flip.res$Sim),
  mean(dataWA.e.flip.res$Sim),
  mean(dataWB.e.flip.res$Sim),
  mean(dataNA.e.flip.res$Sim),
  mean(dataYA.e.flip.res$Sim),
  mean(dataYC.e.flip.res$Sim))

SIM2 <-c(
  mean(dataWAS.d.flip.res2$Sim),
  mean(dataWAM.d.flip.res2$Sim),
  mean(dataWAL.d.flip.res2$Sim),
  mean(dataWBS.d.flip.res2$Sim),
  mean(dataWBM.d.flip.res2$Sim),
  mean(dataWBL.d.flip.res2$Sim),
  mean(dataNAS.d.flip.res2$Sim),
  mean(dataNAM.d.flip.res2$Sim),
  mean(dataNAL.d.flip.res2$Sim),
  mean(dataYAS.d.flip.res2$Sim),
  mean(dataYAM.d.flip.res2$Sim),
  mean(dataYAL.d.flip.res2$Sim),
  mean(dataYCS.d.flip.res2$Sim),
  mean(dataYCM.d.flip.res2$Sim),
  mean(dataYCL.d.flip.res2$Sim),
  NA,
  NA,
  NA,
  NA,
  NA)

SD<-c(
   sd(dataWAS.e.flip.res$Sim),
   sd(dataWAM.e.flip.res$Sim),
   sd(dataWAL.e.flip.res$Sim),
   sd(dataWBS.e.flip.res$Sim),
   sd(dataWBM.e.flip.res$Sim),
   sd(dataWBL.e.flip.res$Sim),
   sd(dataNAS.e.flip.res$Sim),
   sd(dataNAM.e.flip.res$Sim),
   sd(dataNAL.e.flip.res$Sim),
   sd(dataYAS.e.flip.res$Sim),
   sd(dataYAM.e.flip.res$Sim),
   sd(dataYAL.e.flip.res$Sim),
   sd(dataYCS.e.flip.res$Sim),
   sd(dataYCM.e.flip.res$Sim),
   sd(dataYCL.e.flip.res$Sim),
   sd(dataWA.e.flip.res$Sim),
   sd(dataWB.e.flip.res$Sim),
   sd(dataNA.e.flip.res$Sim),
   sd(dataYA.e.flip.res$Sim),
   sd(dataYC.e.flip.res$Sim))

SD2 <-c(
   sd(dataWAS.d.flip.res2$Sim),
   sd(dataWAM.d.flip.res2$Sim),
   sd(dataWAL.d.flip.res2$Sim),
   sd(dataWBS.d.flip.res2$Sim),
   sd(dataWBM.d.flip.res2$Sim),
   sd(dataWBL.d.flip.res2$Sim),
   sd(dataNAS.d.flip.res2$Sim),
   sd(dataNAM.d.flip.res2$Sim),
   sd(dataNAL.d.flip.res2$Sim),
   sd(dataYAS.d.flip.res2$Sim),
   sd(dataYAM.d.flip.res2$Sim),
   sd(dataYAL.d.flip.res2$Sim),
   sd(dataYCS.d.flip.res2$Sim),
   sd(dataYCM.d.flip.res2$Sim),
   sd(dataYCL.d.flip.res2$Sim),
  NA,
  NA,
  NA,
  NA,
  NA)


#Create dataframe of sim9 results
DF.modelsim9 <- data.frame(sp.count, N.trees, SES, Sig1, OBS,SIM,SD)
DF.modelsim9$subplot<-c(rep("200a",3),rep("200b",3),rep("900",3),rep("1800a",3),rep("1800b",3),"200a","200b","900","1800a","1800b")
DF.modelsim9$elev<-c(rep("200",6),rep("900",3),rep("1800",6),"200","200","900","1800","1800")
DF.modelsim9$treecat <- c(rep(c("Small","Medium","Large"),5),rep("ALL",5))
write.csv(DF.modelsim9, file="DFmodelsim9.csv")
DF.modelsim9 <- read.csv("DFmodelsim9.csv", header=T)
DF.modelsim9$elev<-factor(DF.modelsim9$elev, levels=c("200","900","1800"))
DF.modelsim9$subplot<-factor(DF.modelsim9$subplot, levels=c("200a","200b","900","1800a","1800b"))

#Create dataframe of sim2 results
DF.modelsim2 <- data.frame(sp.count2, N.trees2, SES2, Sig2, OBS2, SIM2, SD2)
DF.modelsim2$subplot<-c(rep("200a",3),rep("200b",3),rep("900",3),rep("1800a",3),rep("1800b",3),"200a","200b","900","1800a","1800b")
DF.modelsim2$elev<-c(rep("200",6),rep("900",3),rep("1800",6),"200","200","900","1800","1800")
DF.modelsim2$treecat <- c(rep(c("Small","Medium","Large"),5),rep("ALL",5))
DF.modelsim2 <- DF.modelsim2 [1:15,] #get rid of all - biologically unrealistic species shuffling
write.csv(DF.modelsim2, file="DFmodelsim2.csv")
DF.modelsim2 <- read.csv("DFmodelsim2.csv", header=T)
DF.modelsim2$elev<-factor(DF.modelsim2$elev, levels=c("200","900","1800"))
DF.modelsim2$subplot<-factor(DF.modelsim2$subplot, levels=c("200a","200b","900","1800a","1800b"))

##--------------------------------------------#
#  Plots - dashed lines based on significance  #
#--------------------------------------------#
# Plot sim9
newPalette <- c("#006d2c","#99d8c9","#8856a7","#fdcc8a","#fc8d59")
plotsim9 <- ggplot(DF.modelsim9, aes(x=elev, y=SES, group=subplot, color=subplot, shape=treecat))+
  geom_quasirandom(aes(x=elev,y=SES, group=subplot, color=subplot, shape=treecat), 
             size=4, position=position_jitterdodge(jitter.width = 2.5, dodge.width = 0.5))+
  geom_hline(yintercept = 2, color = "black", size=1,linetype="dashed")+
  geom_hline(yintercept = -2, color = "black", size=1,linetype="dashed")+
  scale_shape_manual(values=c(9,17,15,18))+
  scale_colour_manual(values=newPalette) +
  labs(title = "Sim9")+
  xlab("Elevation m.a.s.l.") +
  ylab("Standardised Effect Size (SES)") +
  theme_bw()

# Plot sim2
plotsim2 <- ggplot(DF.modelsim2, aes(x=elev, y=SES2, group=subplot, color=subplot, shape=treecat))+
  geom_quasirandom(aes(x=elev,y=SES2, group=subplot, color=subplot, shape=treecat), 
                   size=4, position=position_jitterdodge(jitter.width = 2.5, dodge.width = 0.5))+
  geom_hline(yintercept = 1.78, color = "black", size=1,linetype="dashed")+
  geom_hline(yintercept = -1.78, color = "black", size=1,linetype="dashed")+
  scale_shape_manual(values=c(17,15,18))+
  scale_colour_manual(values=newPalette) +
  labs(title = "Sim2")+
  xlab("Elevation m.a.s.l.") +
  ylab("Standardised Effect Size (SES)") +
  theme_bw()

multiplot(plotsim9,plotsim2, cols=2)


#--------------------------------------------------------------------------------------------------#
#   unused code
#--------------------------------------------------------------------------------------------------#


##ggplot bray within tree cat
bray.df<-read.csv("Treecats_Bray.csv", header = T)

bray.df$subplot <- c("WA","WA","WA", "WB","WB",   "WB",   "NA", "NA", "NA", 
                     "YA" ,  "YA" ,  "YA",   "YC",   "YC",   "YC",   "WA",   "WB",   "NA", "YA",   "YC")
bray.df$Elevation <- bray.df$elev
levels(bray.df$Elevation)<-c("900","200","1800")
class(bray.df)
bray.df$Elevation<-relevel(bray.df$Elevation, ref="200")
bray.df$subplot<-as.factor(bray.df$subplot)
bray.df$subplot<-relevel(bray.df$subplot, ref="WA")
levels(bray.df$subplot)



brayplot <- ggplot(bray.df)+
  geom_point(aes(x=Elevation,y=bray.full, group=subplot,color=subplot, shape=treecat), 
             size=3)+
  scale_shape_manual(values=c(9,17,15,18))+
  scale_colour_manual(values=newPalette) +
  theme_bw()



  #-----------------------------------c-score hist ggplot
library(ggplot2)
draw.plot <-function(data.source)
{
  df<-data.source$Sim
  df<-as.data.frame(df)
  names(df)<-"C.score"
  obs<-data.source$Obs
  plot.name<-vector()
  ggplot(df, aes (C.score))+
    geom_histogram(binwidth = 0.05)+
    #geom_freqpoly(binwidth = 0.02)+
    geom_vline(xintercept = obs, color = "red", size=2)+
    theme_bw()+
    ggtitle(deparse(substitute(data.source)))+
    ylab("Frequency")+
    xlab("C-score")+
    theme(plot.title=element_text(size = rel(2)),axis.title=element_text(size = rel(2)),panel.grid.minor = element_blank())
}

multiplot(
draw.plot(dataWAS.c.flip.res),
draw.plot(dataWAM.c.flip.res),
draw.plot(dataWAL.c.flip.res),
draw.plot(dataWBS.c.flip.res),
draw.plot(dataWBM.c.flip.res),
draw.plot(dataWBL.c.flip.res),
draw.plot(dataNAS.c.flip.res),
draw.plot(dataNAM.c.flip.res),
draw.plot(dataNAL.c.flip.res),
draw.plot(dataYAS.c.flip.res),
draw.plot(dataYAM.c.flip.res),
draw.plot(dataYAL.c.flip.res),
draw.plot(dataYCS.c.flip.res),
draw.plot(dataYCM.c.flip.res),
draw.plot(dataYCL.c.flip.res),cols = 5)


multiplot(
draw.plot(dataW.c.flip.res),
draw.plot(dataN.c.flip.res),
draw.plot(dataY.c.flip.res))

# tree cats fix-fix
multiplot(
  draw.plot(dataWAS.c.flip.res2),
  draw.plot(dataWAM.c.flip.res2),
  draw.plot(dataWAL.c.flip.res2),
  draw.plot(dataWBS.c.flip.res2),
  draw.plot(dataWBM.c.flip.res2),
  draw.plot(dataWBL.c.flip.res2),
  draw.plot(dataNAS.c.flip.res2),
  draw.plot(dataNAM.c.flip.res2),
  draw.plot(dataNAL.c.flip.res2),
  draw.plot(dataYAS.c.flip.res2),
  draw.plot(dataYAM.c.flip.res2),
  draw.plot(dataYAL.c.flip.res2),
  draw.plot(dataYCS.c.flip.res2),
  draw.plot(dataYCM.c.flip.res2),
  draw.plot(dataYCL.c.flip.res2),cols = 5)

