# Draw euler venn diagram and compute sorensen between elevations

#Load data
treexant <- read.csv("treexants.csv", header=T)
nestxant <- read.csv("nestxants.csv", header=T)
#antxtree <- read.csv("antsxtree.csv", header=T)

wilhelm <- read.csv("Species.IBISCA.transect.csv", header=T)
ant.comm <- read.csv("ant.comm.csv", header=T)
treexant$`ANON.002`<- treexant$`ANON.002`+ treexant$`ANON.004`#update, these species are the same
antxtree$Code[which(antxtree$Code=="ANON 004")] <- "ANON 002"#update, these species are the same

##------------VENN/Euler DIAGRAM OF ANT SPECIES OVERLAP-------------------------####
#require(VennDiagram)
#require(venneuler)
#above packages have problems with scaling >2 fields

library(eulerr)

#w <- wilhelm[wilhelm$DominantNesting=="Arboreal-nesting",]
wp <- antxtree[which(antxtree$Forest=="Wanang"),]
np <- antxtree[which(antxtree$Forest=="Numba"),]
yp <- antxtree[which(antxtree$Forest=="Yawan"),]

wpA <- wp[which(wp$Subplot=="WP_SUBPLOT_A"),]
wpB <- wp[which(wp$Subplot=="WP_SUBPLOT_B"),]
ypA <- yp[which(yp$Subplot=="YP_SUBPLOT_A"),]
ypC <- yp[which(yp$Subplot=="YP_SUBPLOT_C"),]

#mean sprich for 0.2ha
((length(levels(droplevels(wpA$Code))))+(length(levels(droplevels(wpB$Code)))))/2  #64.5
((length(levels(droplevels(ypA$Code))))+(length(levels(droplevels(ypC$Code)))))/2 #17.5

#number of species in each habitat and overlap
wil<-levels(droplevels(w$SpCode)) #17
wf<-levels(droplevels(wp$Code))#85
length(wf)
nf<-levels(droplevels(np$Code))#103
length(nf)
yf<-levels(droplevels(yp$Code))#22
length(yf)
length(intersect(wf,nf))#40
length(intersect(wf,yf))#1
length(intersect(nf,yf))#2
length(intersect(wf,wil))#1
length(intersect(nf,wil))#2
length(intersect(yf,wil))#2
length(intersect(intersect(wf,nf),yf))#1
length(intersect(intersect(yf,nf),wil))#0
length(intersect(intersect(wil,nf),yf))#0
Reduce(intersect,list(wf,nf,yf,wil))#0
Reduce(intersect,list(nf,yf,wil))#0

par(mfrow=c(1,1))
#http://eulerr.co/ used app to draw venn


#----------------------------------------------------------#
# Compute Sorensen between elevations
w <- ant.comm [2,]+ ant.comm[3,]
y <- ant.comm [4,]+ ant.comm[5,]

ant.comm2 <- rbind(ant.comm, w, y) 
ant.comm3 <- ant.comm2 [c(1,6,7),]
rownames(ant.comm3)<- c("mid", "low", "high")
ant.comm3
dim(ant.comm3)
ant.comm3$ANON002 <- ant.comm3$ANON004+ant.comm3$ANON002 
ant.comm3[,-9]
ant.comm4 <- ant.comm3[,c(2:8,10:170)]
ant.comm4  

bray.curtis<-vegdist(ant.comm4)#abundance weighted so Bray-Curtis
sorensen<-vegdist(ant.comm4, binary=T)#presence-absence so Sorensen

#Plot-wise Sorensen
ant.comm$ANON002 <- ant.comm$ANON004+ant.comm$ANON002 
ant.comm1<-ant.comm[,c(2:8,10:170)]
rownames(ant.comm1)<- c("NPA", "WPA", "WPB","YPA","YPC")
vegdist(ant.comm1, binary=T)
#low-mid   0.64, 0.60
#mid-high  0.97, 0.97
#low-high  0.97, 0.97, 0.98,0.98
#low-low   0.31
#high-high 0.26

mean(c(0.6397516,0.6000000))#low-mid
# 0.6198758 
sd(c(0.6397516,0.6000000))
# 0.02810863
mean(c(0.9677419,0.9658120))#mid-high
# 0.966777
sd(c(0.9677419,0.9658120))
# 0.001364645
mean(0.9746835,0.9722222,0.978494,0.9784946)#low-high
#0.9759736
sd(c(0.9746835,0.9722222,0.978494,0.9784946))
# 0.003079243

mean.sor <- data.frame(c(mean(c(0.6397516,0.6000000)),mean(c(0.9677419,0.9658120)),mean(0.9746835,0.9722222,0.978494,0.9784946)))
rownames(mean.sor)<- c("low.mid","mid.high","low.high")
sd.sor <- c(sd(c(0.6397516,0.6000000)),sd(c(0.9677419,0.9658120)),sd(c(0.9746835,0.9722222,0.978494,0.9784946)))
mean.sor$sd <-sd.sor
names(mean.sor)<- c("Mean.Sorensen", "SD")
mean.sor
