####--------------------- Supplementary Bipartite Figures per plot --------------------------------------##############
head(antxtree)
net<-antxtree[,c(3,7,8)]
net <- na.omit(net)
#convert to bipartite matrix 
require(bipartite)
head(net)
frame2webs(net,varnames=c("GenSpec","Code","Subplot"))->elev.data
head(elev.data)
#plots
i<-1
heights<-c(1:5)
par(mfrow=c(3,2),xpd=TRUE)

for (i in 1:length(heights)){
  plotweb(elev.data[[i]], bor.col.interaction="grey80",low.lablength=21,high.lablength=10,text.rot=90, 
          bor.high=F)
  text(0.6,2,paste(heights[i],"m",sep=""),xlim=c(0,0.1))
}


head(antxtree)
net2<-antxtree[,c(2,7,8)]
net2 <- na.omit(net2)
head(net2)
frame2webs(net2,varnames=c("GenSpec","Code","Forest"))->elev.data2
head(elev.data2)
#plots
i<-1
heights<-c(1:3)
par(mfrow=c(1,1),xpd=TRUE)

for (i in 1:length(heights)){
  plotweb(elev.data2[[i]], bor.col.interaction="grey80",low.lablength=0,high.lablength=0,text.rot=0, 
          bor.high=F)
  text(0.6,2,paste(heights[i],"m",sep=""),xlim=c(0,0.1))
}
?plotweb
####-------------calculate food web metrics-----------------##########
el.outputs<-matrix(ncol=9,nrow=5)

for (i in 1:5){
  as.vector(networklevel(elev.data[[i]],
                         index=c("number of species","connectance","number of compartments",
                                 "weighted NODF","C score","generality","vulnerability"),normalise=FALSE))->el.outputs[i,]
}

colnames(el.outputs)<-c("connectance","number of compartments","weighted NODF","No. species higher","No. species lower","C score higher","C score lower","generality","vulnerability")
forest<-c("NPA","WPA","WPB","YPA","YPC")
cbind(forest,el.outputs)->el.outputs
el.outputs <- data.frame(el.outputs)

#eloutputs2
el.outputs2<-matrix(ncol=9,nrow=3)

for (i in 1:3){
  as.vector(networklevel(elev.data2[[i]],
                         index=c("number of species","connectance","number of compartments",
                                 "weighted NODF","C score","generality","vulnerability"),normalise=FALSE))->el.outputs2[i,]
}

colnames(el.outputs2)<-c("connectance","number of compartments","weighted NODF","No. species higher","No. species lower","C score higher","C score lower","generality","vulnerability")
forest<-c("Numba","Wanang","Yawan")
cbind(forest,el.outputs2)->el.outputs2
el.outputs2 <- data.frame(el.outputs2)
el.outputs2


#compute MODULARITY
par(mfrow=c(3,2))
computeModules(elev.data$'WP_SUBPLOT_A')->WPA
plotModuleWeb(WPA)#0.386906
computeModules(elev.data$'WP_SUBPLOT_B')->WPB
plotModuleWeb(WPB)#0.405987
computeModules(elev.data$'NP_SUBPLOT_A')->NPA
plotModuleWeb(NPA) #0.311409
computeModules(elev.data$'YP_SUBPLOT_A')->YPA
plotModuleWeb(YPA) # 0.342086
computeModules(elev.data$'YP_SUBPLOT_C')->YPC
plotModuleWeb(YPC) #0.386831

#Table of modularity
par(mfrow=c(2,1))
modularity <- c(0.386906,0.405987,0.311409,0.342086,0.386831)
el.outputs$modularity <- modularity

#Specialisation H2'
h2<-vector(length=5)
for (i in 1:5){
  H2fun(elev.data[[i]])[1]->h2[i]
}
h2
el.outputs$h2 <- h2

#write.csv(el.outputs, file="bipartite metrics.csv")
?read.csv
el.outputs<-read.csv("bipartite metrics.csv", header=T)

el.outputs$elevation <- c(900,200,200,1800,1800)
str(el.outputs)
class(el.outputs)

par(mfrow=c(3,2))
plot(No..species.higher ~ elevation, data=el.outputs)
points(No..species.lower ~ elevation, data=el.outputs, pch=2)
plot(generality ~ elevation, data=el.outputs)
plot(vulnerability ~ elevation, data=el.outputs)
plot(modularity ~ elevation, data=el.outputs)
plot(connectance ~ elevation, data=el.outputs)
plot(h2 ~ elevation, data=el.outputs)

library(ggplot2)

multiplot(
ggplot(el.outputs,aes(x=elevation, y=networksize))+ geom_point()+theme_bw()+
  #geom_point(aes(y=No..species.lower), shape=80)+
  #geom_point(aes(y=No..species.higher), shape=65)+
  scale_x_continuous(breaks=c(200,900,1800)),
ggplot(el.outputs,aes(x=elevation, y=generality))+ 
  geom_point()+theme_bw()+scale_x_continuous(breaks=c(200,900,1800)),
ggplot(el.outputs,aes(x=elevation, y=vulnerability))+ geom_point()+theme_bw()+scale_x_continuous(breaks=c(200,900,1800)),
ggplot(el.outputs,aes(x=elevation, y=modularity))+ geom_point()+theme_bw()+scale_x_continuous(breaks=c(200,900,1800)),
ggplot(el.outputs,aes(x=elevation, y=connectance))+ geom_point()+theme_bw()+scale_x_continuous(breaks=c(200,900,1800)),
ggplot(el.outputs,aes(x=elevation, y=h2))+ geom_point()+theme_bw()+scale_x_continuous(breaks=c(200,900,1800)),cols = 2)
  
#~~~~~~~~~ Models~~~~~~~~~~~~~~~~#
library(multcomp)
el.outputs$elevation.f<- as.factor(el.outputs$elevation)#elevation as factor
par(mfrow=c(2,2))

modul<- lm(modularity ~ elevation.f, data=el.outputs)
plot(modul)
anova(modul, test="F")
summary(glht(modul, mcp(elevation.f = "Tukey")))#ns

gen<- aov(generality~ elevation.f, data=el.outputs)
plot(gen)
anova(gen, test="F")#0.0568 marginally insig
summary(glht(gen, mcp(elevation.f = "Tukey")))#marginal insig between 1800-900 p=0.052

vul<- aov(vulnerability~ elevation.f, data=el.outputs)
plot(vul)
anova(vul, test="F")# marge sig p=0.0499
summary(glht(vul, mcp(elevation.f = "Tukey")))#1800 marginally insig diff from 200 and 900 (p=0.0618 and 0.0648)

h2mod<- aov(h2~ elevation.f, data=el.outputs)
plot(h2mod)
anova(h2mod, test="F")
summary(glht(h2mod, mcp(elevation.f = "Tukey")))#ns

con<- aov(connectance ~ elevation.f, data=el.outputs)
plot(con)
anova(con, test="F")#p=0.0074
summary(glht(con, mcp(elevation.f = "Tukey")))#1800 significantly more connected than low and mid (p=0.009 and 0.011)

# with network size
modul2<- lm(modularity ~ elevation.f + networksize, data=el.outputs)
plot(modul2)
anova(modul2, test="F")
summary(glht(modul2, mcp(elevation.f = "Tukey")))#ns

gen2<- aov(generality~ elevation.f + networksize, data=el.outputs)
plot(gen2)
anova(gen2, test="F")
summary(glht(gen2, mcp(elevation.f = "Tukey")))#ns

vul2<- aov(vulnerability~ elevation.f + networksize, data=el.outputs)
plot(vul2)
anova(vul2, test="F")# 
summary(glht(vul2, mcp(elevation.f = "Tukey")))#ns

h2mod2<- aov(h2~ elevation.f + networksize, data=el.outputs)
plot(h2mod2)
anova(h2mod2, test="F")
summary(glht(h2mod2, mcp(elevation.f = "Tukey")))#ns

con2<- aov(connectance ~ elevation.f + networksize, data=el.outputs)
plot(con2)
anova(con2, test="F")#p=0.0075
summary(glht(con2, mcp(elevation.f = "Tukey")))#1800 significantly more connected than low (p=0.041)


#~~~~~~~~~~~~ plant genus level~~~~~~~~~~~~~~#
head(antxtree)
net<-antxtree[,c(3,5,8)]
net <- na.omit(net)
#convert to bipartite matrix 
require(bipartite)
head(net)
frame2webs(net,varnames=c("Genus","Code","Subplot"))->elev.data
head(elev.data)
#plots
i<-1
heights<-c(1:5)
par(mfrow=c(3,2),xpd=TRUE)

for (i in 1:length(heights)){
  plotweb(elev.data[[i]], bor.col.interaction="grey80",low.lablength=21,high.lablength=10,text.rot=90, 
          bor.high=F)
  text(0.6,2,paste(heights[i],"m",sep=""),xlim=c(0,0.1))
}


head(antxtree)
net2<-antxtree[,c(2,5,8)]
net2 <- na.omit(net2)
head(net2)
frame2webs(net2,varnames=c("Genus","Code","Forest"))->elev.data2
head(elev.data2)

#plots

i<-1
heights<-c(1:3)
par(mfrow=c(1,1),xpd=TRUE)

for (i in 1:length(heights)){
  plotweb(elev.data2[[i]], bor.col.interaction="grey80",low.lablength=0,high.lablength=0,text.rot=0, 
          bor.high=F)
  text(0.6,2,paste(heights[i],"m",sep=""),xlim=c(0,0.1))
}


